2024-10-30 01:53:10 +0000 Marius Gripsgard (5332b48) 

	* Merge branch 'personal/gberh/port-to-noble' into 'main'

2024-08-23 14:26:41 +0200 Guido Berhoerster (477b336) 

	* Update Debian packaging

2024-08-29 13:02:20 +0200 Guido Berhoerster (5772550) 

	* Update go-check package

2024-08-28 13:39:58 +0200 Guido Berhoerster (8926173) 

	* Fix nuntium-inject-push

2024-08-26 13:38:22 +0200 Guido Berhoerster (e4be32b) 

	* Port to github.com/adrg/xdg

2024-08-26 11:20:54 +0200 Guido Berhoerster (6740a91) 

	* Fix go-ldm package import

2024-09-16 15:43:01 +0200 Guido Berhoerster (1465852) 

	* Adapt tests for godbus

2024-08-23 14:53:58 +0200 Guido Berhoerster (410abb4) 

	* Use Go modules and port to github.com/godbus/dbus/v5

2023-10-15 11:00:44 +0200 Mike Gabriel (c6aed0d) 

	* debian/rules: Regression fix due to added ChangeLog and AUTHORS
          release files.

2023-10-15 01:42:31 +0200 Mike Gabriel (c3c1273) 

	* Release 2.1

2023-09-28 06:54:51 +0000 Ratchanan Srirattanamet (e29ccfc) 

	* Merge branch 'main' into 'main'

2023-09-23 10:50:15 -0600 j1xlte-gtelwifiue (36880df) 

	* mms-decoder: support token text X-Mms-Message-Class

2023-03-05 16:40:54 +0000 Mike Gabriel (fda2c7a) 

	* Merge branch 'lduboeuf/personal/empty_subject' into 'main'

2023-03-03 09:18:27 +0100 Lionel Duboeuf (e13d12c) 

	* mms-decoder: consume BCC field

2023-03-01 13:46:58 +0100 Lionel Duboeuf (5cdbfab) 

	* mms-decoder: manage empty PDU subject header

2023-02-12 14:44:48 +0000 Mike Gabriel (9088c29) 

	* Merge branch 'personal/lduboeuf/fix_namespace' into 'main'

2023-02-12 11:43:26 +0100 Lionel Duboeuf (90e2faf) 

	* rename dbus com.canonical -> com.lomiri

2023-02-08 15:44:28 +0000 Mike Gabriel (6d46f43) 

	* Merge branch 'personal/lduboeuf/fix_renaming-ubuntu' into 'main'

2023-02-08 16:33:35 +0100 Lionel Duboeuf (054536c) 

	* rename dbus com.ubuntu -> com.lomiri

2023-01-10 17:45:19 +0000 Mike Gabriel (a12372b) 

	* Merge branch 'focal-handle-pending-messages-on-initialization' into
          'main'

2022-03-09 18:10:53 +0100 jEzEk (996cc7c) 

	* Update debian changelog

2022-03-06 18:12:40 +0100 jEzEk (b0f5ca8) 

	* Add more comments, mainly in message initialization

2022-03-05 18:37:00 +0100 jEzEk (ea3d247) 

	* Add more logging to message handling and initialization

2022-03-04 18:26:40 +0100 jEzEk (611f174) 

	* Add code for re-downloading messages that have pending status in
          history-service upon message initialization

2022-01-29 18:29:50 +0100 jEzEk (d5aea04) 

	* Add message status field, contants, functions and tests to
          telepathy/history package

2022-02-25 18:15:31 +0100 jEzEk (448710d) 

	* Refactor local function in message initialization function

2022-02-22 18:21:25 +0100 jEzEk (c95ef8c) 

	* Move new message storage creation before old message storage
          deletion on message redownload

2022-03-04 18:11:43 +0100 jEzEk (f047355) 

	* Fix logging the wrong error in message initialization

2022-02-21 18:29:24 +0100 jEzEk (3790e92) 

	* Fix unnecessary message handlers starting at initialization

2022-02-21 18:15:16 +0100 jEzEk (e3c2b08) 

	* Fix go function called during initialization

2022-02-05 17:44:22 +0100 jEzEk (fa7d312) 

	* Fix recursive printing calls in error structures

2022-01-03 18:04:55 +0100 jEzEk (1eea10f) 

	* Update debian/changelog with previous changes descriptions

2022-08-17 19:54:18 +0000 Ratchanan Srirattanamet (3b550e3) 

	* Merge branch 'systemd-migration' into 'main'

2022-08-15 11:58:16 +0200 Guido Berhoerster (9d899fc) 

	* Convert upstart job to systemd service

2022-02-24 13:36:46 +0100 Guido Berhoerster (6716ca4) 

	* Port to focal

2022-02-22 14:50:33 +0100 Guido Berhoerster (49ccb93) 

	* Port to go-ldm

2022-02-23 16:43:37 +0700 Ratchanan Srirattanamet (95b25bf) 

	* Move Jenkinsfile to debian/ per the new guideline

2022-02-23 16:43:21 +0700 Ratchanan Srirattanamet (8cd617f) 

	* Update Jenkinsfile to use shared library

2021-12-15 18:00:17 +0100 Alfred E. Neumayer (054848e) 

	* Merge pull request #8 from jezek/xenial_-_failed-redownload

2021-06-08 15:51:42 +0200 jEzEk (46f71fc) 

	* Remove forgotten TODO

2021-04-25 18:10:11 +0200 jEzEk (a4fcb8c) 

	* Remove debug logs and reword an initialization log

2021-04-24 22:07:15 +0200 jEzEk (188581a) 

	* Remove my own TODO: comments

2021-04-24 21:55:58 +0200 jEzEk (2034f96) 

	* Update architecture documentation to more reflect current state

2021-04-24 16:59:13 +0200 jEzEk (c1c0e4e) 

	* Remove unnecessary history service log calls or move them to
          returned error

2021-04-21 18:18:45 +0200 jEzEk (cbfdeca) 

	* Don't check history service if message falls through on
          initialization

2021-04-21 18:16:10 +0200 jEzEk (a6485ff) 

	* Refactor handlers spawning on message initialization

2021-04-11 05:30:41 +0200 jEzEk (0448132) 

	* Use TrimSuffix for "Sender" parameter when sending message to
          telepathy

2021-04-11 04:41:14 +0200 jEzEk (8ccd7e5) 

	* After spawning handlers request telepathy to spawn handlers too

2021-04-09 18:10:12 +0200 jEzEk (9527d1e) 

	* Spawn handlers when getting message from history service fails on
          initialization

2021-04-09 18:06:29 +0200 jEzEk (3757c62) 

	* Don't respond to expired messages on initialization

2021-04-09 17:55:18 +0200 jEzEk (656e52f) 

	* Make responded received message fall through on initialization

2021-04-09 17:27:13 +0200 jEzEk (9de201d) 

	* Let some storage update functions also return MMSState

2021-04-07 17:11:17 +0200 jEzEk (81d7ca3) 

	* Remove expired messages from unrespondedTransactions on
          initializeMessages

2021-04-04 18:12:48 +0200 jEzEk (1d6aff3) 

	* Refactor some code from mediator initializeMessages to
          telepathy/history package

2021-04-03 18:08:23 +0200 jEzEk (bc54326) 

	* Add history package into telepathy package and refactor code

2021-04-03 17:23:35 +0200 jEzEk (63fa7ba) 

	* Clean unnecessary messages after communicating error or message to
          telepathy

2021-03-31 17:26:46 +0200 jEzEk (75a2a99) 

	* Fix forwarding DOWNLOADED messages to telepathy on
          initializeMessages

2021-03-31 17:26:46 +0200 jEzEk (f7a8160) 

	* Handle not stored unrespondedTransactions in handleMNotificationInd

2021-03-30 16:50:34 +0200 jEzEk (86d6bd9) 

	* Rewrite some testing logs

2021-03-28 18:15:33 +0200 jEzEk (113760b) 

	* Add ErrorTelepathyErrorNotify debug error, logic and tests

2021-03-28 17:56:39 +0200 jEzEk (924e859) 

	* Take TelepathyErrorNotified into account in
          getAndHandleMRetrieveConf

2021-03-28 17:25:17 +0200 jEzEk (74b3146) 

	* Take TelepathyNotified into account when handling message download
          error

2021-03-28 16:26:26 +0200 jEzEk (1972e42) 

	* Don't handle already handled TransactionId in initializeMessages

2021-03-28 16:07:43 +0200 jEzEk (7c96d99) 

	* Sort UUIDs returned by storage.GetStoredUUIDs by creation time

2021-03-28 15:27:04 +0200 jEzEk (402660e) 

	* Refactor anonymous function inside initializeMessages into
          respondMessage

2021-03-28 15:10:58 +0200 jEzEk (aed8018) 

	* Rewrite unrespondedTransactions logic in initializeMessages

2021-03-27 18:00:22 +0100 jEzEk (910e5c2) 

	* Don't delete message if not responded on message delete request
          from telepathy

2021-03-27 17:54:40 +0100 jEzEk (42d2195) 

	* Rename mediator.undownloaded to unrespondedTransactions + fix logic

2021-03-27 17:22:15 +0100 jEzEk (68627e1) 

	* Allow redownload of ErrorStorage when handling MNotificationInd

2021-03-26 17:09:09 +0100 jEzEk (5cdc527) 

	* Simplify message handling upon initialization

2021-03-24 18:06:49 +0100 jEzEk (d5ff161) 

	* Add 4 more debug errors and enforcing them

2021-03-24 17:10:25 +0100 jEzEk (ac81e9c) 

	* Remove DebugErrorDownloadContent, fix DebugErrorDownloadStorage,
          rename handleMRetrieveConfDownloadError

2021-03-21 18:12:34 +0100 jEzEk (7389a4c) 

	* Debug download error implementation, some refactoring

2021-03-19 16:02:38 +0100 jEzEk (4a83e07) 

	* Add MNotificationInd.IsDebug, deprecate IsLocal, add version TODO
          comments

2021-03-18 21:41:10 +0100 jEzEk (8d28b6c) 

	* Try to recover erroneous messages on modem initialization

2021-03-14 17:36:56 +0100 jEzEk (953325b) 

	* Move mediator.telepathyService nil checks into telepathy.MMSService
          methods

2021-03-13 18:16:08 +0100 jEzEk (ee7135c) 

	* Store if telepathy was notified on incoming message error

2021-03-10 18:04:47 +0100 jEzEk (a85b46e) 

	* Don't update mms state to RESPONDED if sending m-notifyresp.ind
          fails

2021-03-09 17:37:33 +0100 jEzEk (3a8dfb3) 

	* Fix not sending m-notufyresp.ind to MMS center

2021-03-07 21:21:35 +0100 jEzEk (2d1411b) 

	* Rename getMRetrieveConf to getAndHandleMRetrieveConf and refactor,
          ...

2021-03-07 18:04:45 +0100 jEzEk (7ad562e) 

	* Rename functions in mediator

2021-03-07 17:57:52 +0100 jEzEk (9c00371) 

	* Refactor MMS context activations

2021-03-07 16:35:03 +0100 jEzEk (5f070bc) 

	* Send reply to telepathy on unknown interface, ...

2021-03-07 16:14:02 +0100 jEzEk (a220a06) 

	* Restrict redownload in message interface if redownload not allowed,
          ...

2021-03-06 16:45:49 +0100 jEzEk (579808a) 

	* Remove all possible files from storage on Destroy

2021-02-28 17:04:09 +0100 jEzEk (940d6fe) 

	* Add Received parameter to message to telepathy-ofono, ...

2021-02-21 22:14:54 +0100 jEzEk (d36c421) 

	* Rewrite mNotificationInd Expiry decoding, handle expired on
          initialization, tests

2021-02-16 17:28:56 +0100 jEzEk (e8ab183) 

	* Remove forgotten and solved TODOs, fix some log messages, typos and
          comments

2021-02-16 16:34:04 +0100 jEzEk (407bc4b) 

	* Change the setted default non-valid incoming expiry time to 15 days

2021-02-15 17:32:29 +0100 jEzEk (1de411c) 

	* Unify download error codes

2021-02-15 17:24:36 +0100 jEzEk (fa2986c) 

	* Set mNotificationInd default expiry to 7 days if not present (or
          valid)

2021-02-15 03:50:37 +0100 jEzEk (c35df42) 

	* Tell debian packager to use go-1.13

2021-02-14 22:00:31 +0100 jEzEk (35f8c8c) 

	* Add more error reporting on message download, depending on error
          allow redownload.

2021-02-14 18:02:29 +0100 jEzEk (89f463a) 

	* Add MobileData into download error message json

2021-02-14 17:08:09 +0100 jEzEk (468f696) 

	* Refactoring and commenting

2021-02-13 18:01:51 +0100 jEzEk (519043e) 

	* Storage destroy error fix, ensure if db file exists upon response
          file creation

2021-02-13 17:08:59 +0100 jEzEk (34f13ea) 

	* Add download error message code, expiry calculated from new
          MNotificationInd.Received field

2021-02-12 23:32:07 +0100 jEzEk (27ec89f) 

	* MMSDecoder ReadExpiry function + tests + integration into Decode
          function

2021-02-06 20:50:56 +0100 jEzEk (05a0817) 

	* Add error description to to failed download message in json format

2021-02-05 17:47:43 +0100 jEzEk (26acadf) 

	* Add logic for expiry token in mms decoder and decode Expiry field
          as unix time

2021-01-31 18:02:03 +0100 jEzEk (bc78dce) 

	* On initializeMessages, get message from HistoryService and act
          accordingly

2021-01-24 22:40:19 +0100 jEzEk (725723f) 

	* Update minimum go version for bulding to 1.13 in .travis an
          README.md files

2021-01-24 17:52:26 +0100 jEzEk (c17428c) 

	* nuntium-inject-push autodetect end-point from logs if not provided

2021-01-21 17:25:18 +0100 jEzEk (1b530df) 

	* Initialize message handlers from storage upon modem identification

2021-01-17 18:11:05 +0100 jEzEk (6fc50eb) 

	* Mark previous error message for deletion on successful message

2021-01-16 17:48:57 +0100 jEzEk (a05e10c) 

	* Don't send error message on repeated MNotificationInd, ...

2021-01-16 17:36:49 +0100 jEzEk (39b9990) 

	* nuntium-inject-push add transaction-id flag & logic & tests, ...

2021-01-07 16:43:19 +0100 jEzEk (59c0e0e) 

	* Added TODO comments

2020-12-27 22:27:40 +0100 jEzEk (11b4390) 

	* nuntium-inject-push refactor & comments

2020-12-27 18:06:13 +0100 jEzEk (59a0e72) 

	* nuntium-inject-push add --sender-notification flag, flags
          corrections

2020-12-26 18:14:55 +0100 jEzEk (ff1463b) 

	* nuntium-inject-push payload comments + decode test

2020-12-26 18:12:03 +0100 jEzEk (52e6e2f) 

	* nuntium-inject-push get push payload using args function + tests &
          use Sender flag

2020-12-26 17:59:02 +0100 jEzEk (7aa5669) 

	* nuntium-inject-push push payload swap for split-join vesion, remove
          test

2020-12-26 17:55:39 +0100 jEzEk (56e2b58) 

	* nuntium-inject-push push payload splitjoin + test if equal as
          default

2020-12-24 17:03:40 +0100 jEzEk (8e2b2f5) 

	* nuntium-inject-push refactor pushing to nutium & mNotificationInd
          payload

2020-12-22 18:18:52 +0100 jEzEk (36d18a2) 

	* nuntium-inject-push change MRetrieveConf payload according to
          Sender flag

2020-12-22 18:05:24 +0100 jEzEk (5888bcc) 

	* nuntium-inject-push get payload according to args function with
          tests

2020-12-22 17:25:00 +0100 jEzEk (ec8813e) 

	* nuntuim-inject-push payload swap for split-join version & test
          removed

2020-12-22 17:18:27 +0100 jEzEk (9584244) 

	* nuntium-inject-push payload split-join & test to see if the same as
          original

2020-12-20 17:24:36 +0100 jEzEk (b1a4a83) 

	* Don't reuse UUID on redownload, add DeleteEvent parameter on
          redownload, store whole MNotificationInd

2020-12-14 17:16:47 +0100 jEzEk (19d376d) 

	* Refactor telepathy service MNotificationInd retrieval

2020-12-12 18:00:52 +0100 jEzEk (b280043) 

	* Handle message redownload, don't delete message if download failed
          before

2020-12-05 18:11:15 +0100 jEzEk (e5c7db7) 

	* Distiled to minimal changes from xenial

2020-11-30 17:43:27 +0100 jEzEk (a61765c) 

	* Redownload of failed MMS on delete

2021-03-15 15:28:36 -0400 Rodney (b182b1a) 

	* Merge pull request #11 from ubports/xenial_-_android9

2020-11-23 16:37:07 -0500 Rodney (a43a5da) 

	* Merge pull request #5 from jezek/xenial_-_import-ubports

2020-11-07 22:53:19 +0100 jEzEk (e2ce63f) 

	* Add mention of ubuntu-phonedations to README.md

2020-11-07 16:59:23 +0100 jEzEk (943fe9d) 

	* Replace ubuntu-phonedations with ubports in debian package

2020-11-07 16:47:53 +0100 jEzEk (57a001a) 

	* Change testing docs to use ubports, ...

2020-11-06 17:48:07 +0100 jEzEk (d970ce6) 

	* Change imports from ubuntu-phonedations to ubports

2020-11-20 17:08:57 -0500 Rodney (4196774) 

	* Merge pull request #7 from jezek/xenial_-_mms-enabled-refactor

2020-11-12 17:19:18 +0100 jEzEk (4d1e3f4) 

	* Add error logging and refactor mmsEnabled checks

2020-11-19 11:56:30 -0500 Rodney (ac5a903) 

	* Merge pull request #6 from jezek/xenial_-_merge-upstream

2020-11-14 23:03:58 +0100 jEzEk (0040206) 

	* Merge remote-tracking branch 'ubuntu-phonedations/master' into
          xenial_-_mms-enabled

2020-11-11 08:55:32 +0100 Florian Leeber (ae0bc4b) 

	* Merge pull request #3 from lduboeuf/xenial_-_testmmsfail

2020-11-06 17:15:49 +0100 jEzEk (3894046) 

	* Fixes ofono test errors for go 1.14 (#4)

2020-10-02 15:50:58 +0200 Lionel Duboeuf (b43735b) 

	* propagate error when any issue with MMS reception

2020-10-02 02:01:05 +0300 TheKit (54bab54) 

	* Fix getting proxy settings from newer ofono

2020-04-03 15:38:19 +0200 Florian Leeber (eb970b7) 

	* Fix Go build artifacts

2020-04-03 15:21:21 +0200 Florian Leeber (32d4e46) 

	* Delete LP artifacts

2020-04-03 14:57:37 +0200 Florian Leeber (6890a55) 

	* Fix changelog copy/paste mistake

2020-04-03 14:54:18 +0200 Florian Leeber (10e9e87) 

	* Update changelog

2020-04-03 14:32:08 +0200 Florian Leeber (2c4fef4) 

	* Add Jenkinsfile

2016-11-29 11:30:01 -0200 Tiago Salem Herrmann (57e4ecd) 

	* Check MmsEnabled option in AccountsService before start retrieving
          an incoming mms (#31)

2015-09-02 12:09:41 +0000 CI Train Bot (0092508) 

	* Releasing 1.4+15.10.20150902-0ubuntu1

2015-09-02 12:09:38 +0000 Alfonso Sanchez-Beato (987098c) 

	* [ Dimitri John Ledkov ] Migrate from :sys:started events to dbus
          owner signals.

2015-09-02 13:59:46 +0200 Alfonso Sanchez-Beato (03fd2a4) 

	* [ Dimitri John Ledkov ] Migrate from :sys:started events to dbus
          owner signals.

2015-07-14 09:19:52 +0000 CI Train Bot (496c17c) 

	* Releasing 1.4+15.10.20150714-0ubuntu1

2015-07-14 09:19:49 +0000 Alfonso Sanchez-Beato (177874b) 

	* [ Dennis O'Flaherty ] * Enable receiving non-SMIL messages [
          Alfonso Sanchez-Beato (email Canonical) ] * Fix decoding
          of From field value (LP: #1360403) Approved by: Manuel de
          la Peña

2015-07-13 18:12:04 +0200 Alfonso Sanchez-Beato (9ae6953) 

	* [ Dennis O'Flaherty ] * Enable receiving non-SMIL messages [
          Alfonso Sanchez-Beato (email Canonical) ] * Fix decoding
          of From field value (LP: #1360403)

2015-07-13 12:33:51 -0300 sergiusens (904529e) 

	* Merge pull request #26 from doflah/master

2015-07-10 12:01:10 -0300 sergiusens (6a90077) 

	* Merge pull request #30 from alfonsosanchezbeato/fix-from-parsing

2015-07-10 16:42:58 +0200 Alfonso Sanchez-Beato (73bc0df) 

	* Add m-retrieve.conf decoding test

2015-07-10 11:59:21 +0200 Alfonso Sanchez-Beato (1f9384c) 

	* Fix decoding of From field value

2015-07-10 11:58:20 +0200 Alfonso Sanchez-Beato (1bbf17e) 

	* Add check for error when renaming downloads

2015-07-07 10:42:24 +0000 CI Train Bot (756d4be) 

	* Releasing 1.4+15.10.20150707.1-0ubuntu1

2015-07-07 10:42:22 +0000 Alfonso Sanchez-Beato (f15529f) 

	* Track properly org.ofono.PushNotificationAgent (LP: #1471740)

2015-07-07 11:44:09 +0200 Alfonso Sanchez-Beato (b39918d) 

	* Track properly org.ofono.PushNotificationAgent (LP: #1471740)

2015-07-07 11:31:16 +0200 Manuel de la Pena (db11f4f) 

	* Merge pull request #29 from alfonsosanchezbeato/fix-flight-mode

2015-07-06 15:10:33 +0200 Alfonso Sanchez-Beato (a05c192) 

	* Track properly org.ofono.PushNotificationAgent

2015-07-02 12:11:09 +0200 Manuel de la Pena (79b6f42) 

	* Merge pull request #28 from alfonsosanchezbeato/refresh-props

2015-07-01 16:36:42 +0000 CI Train Bot (d214de7) 

	* Releasing 1.4+15.10.20150701.2-0ubuntu1

2015-07-01 16:36:40 +0000 Alfonso Sanchez-Beato (8c10cbc) 

	* Use proxy and proxy port from ofono Settings property (LP:
          #1417976) Approved by: Manuel de la Peña

2015-07-01 18:33:07 +0200 Alfonso Sanchez-Beato (203b614) 

	* Refresh context properties after (de)activation

2015-07-01 18:03:10 +0200 Alfonso Sanchez-Beato (0f62571) 

	* Refresh context properties after (de)activation

2015-07-01 09:18:01 +0200 Alfonso Sanchez-Beato (0a49574) 

	* Use proxy and proxy port from ofono Settings property (LP:
          #1417976)

2015-06-30 15:43:17 +0200 Manuel de la Pena (e361f5a) 

	* Merge pull request #27 from alfonsosanchezbeato/use-ofono-settings

2015-06-19 10:54:27 +0200 Alfonso Sanchez-Beato (fe6dd73) 

	* Adapt tests to usage of ofono Settings property

2015-06-19 10:01:12 +0200 Alfonso Sanchez-Beato (6be5f46) 

	* Use ofono dynamic settings

2015-06-15 07:18:56 -0400 Dennis O'Flaherty (bb2bd0e) 

	* Enable receiving non-SMIL messages

2015-06-15 08:52:13 +0000 CI Train Bot (7c77d82) 

	* Releasing 1.4+15.10.20150615-0ubuntu1

2015-06-15 08:52:10 +0000 Alfonso Sanchez-Beato (211c257) 

	* * Fix LP: #1461107 and make PDU decoding more robust * Fix LP:
          #1460012 (context opened twice on rx) * Wait between
          retries when opening an IP context * Set ofono's Preferred
          property when a context is known to work Approved by:
          Manuel de la Peña

2015-06-12 14:48:00 +0200 Alfonso Sanchez-Beato (78cd53d) 

	* * Fix LP: #1461107 and make PDU decoding more robust * Fix LP:
          #1460012 (context opened twice on rx) * Wait between
          retries when opening an IP context * Set ofono's Preferred
          property when a context is known to work

2015-06-12 11:06:42 +0200 Manuel de la Pena (916652a) 

	* Merge pull request #24 from alfonsosanchezbeato/fix-decoder-crash

2015-06-03 14:41:32 +0200 Alfonso Sanchez-Beato (bd8c08c) 

	* Make decoder more robust

2015-06-03 14:40:46 +0200 Alfonso Sanchez-Beato (2833e6b) 

	* Add test for Play operator indication PDU

2015-06-03 14:38:34 +0200 Alfonso Sanchez-Beato (cd72712) 

	* Add priority header to notification PDU

2015-06-10 10:40:32 +0200 Manuel de la Pena (84f1616) 

	* Merge pull request #25 from alfonsosanchezbeato/set-ofono-preferred

2015-06-04 12:49:28 +0000 CI Train Bot (ada5637) 

	* Releasing 1.4+15.10.20150604-0ubuntu1

2015-06-04 12:49:25 +0000 Alfonso Sanchez-Beato (9442703) 

	* * Fix LP #1459995 and most bugs which symptom is not receiving MMS 
           messages * Remove nuntium binary from VC

2015-06-04 09:40:50 +0200 Alfonso Sanchez-Beato (a6461db) 

	* Set ofono's Preferred when context works

2015-06-02 12:26:16 -0300 sergiusens (f0ed274) 

	* Merge pull request #23 from alfonsosanchezbeato/wait-context-fail

2015-06-01 12:41:57 +0200 Alfonso Sanchez-Beato (9ada09c) 

	* Wait when context failed to connect

2015-06-02 09:12:23 -0300 sergiusens (08d2579) 

	* Merge pull request #22 from alfonsosanchezbeato/not-close-context

2015-06-01 08:38:12 +0200 Alfonso Sanchez-Beato (52b2aab) 

	* * Fix LP #1459995 and most bugs which symptom is not receiving MMS 
           messages * Remove nuntium binary from VC

2015-06-01 08:21:47 +0200 Alfonso Sanchez-Beato (3c0912e) 

	* Change upstart job so nuntium is re-spawned after an exit/crash

2015-05-29 17:44:59 +0200 Alfonso Sanchez-Beato (d4a5233) 

	* Do not open twice the context on rx

2015-05-29 21:22:32 -0300 sergiusens (2a314db) 

	* Merge pull request #21 from alfonsosanchezbeato/fix-mms-version

2015-05-29 10:47:18 +0200 Alfonso Sanchez-Beato (521d4d1) 

	* Decode MMS version coherently with encoder

2015-05-28 09:33:54 +0200 Manuel de la Pena (0e2b40a) 

	* Merge pull request #19 from alfonsosanchezbeato/remove-binaries

2015-05-26 14:52:38 +0200 Alfonso Sanchez-Beato (ee1b7a8) 

	* Add executables to gitignore

2015-05-26 14:38:24 +0200 Alfonso Sanchez-Beato (495fabd) 

	* Remove nuntium binary from version control

2015-05-21 06:27:57 +0000 CI Train Bot (d3f0b01) 

	* Releasing 1.4+15.04.20150521-0ubuntu1

2015-05-21 06:27:54 +0000 Alfonso Sanchez-Beato (2eb96a9) 

	*   [ Sergio Schvezov ]   * Decode properly content type when there
          are parameters   [ Alfonso Sanchez-Beato ]   * Fix LP:
          #1441135 in the event of an oFono crash   * Use oFono's
          Preferred property when selecting the mobile context

2015-05-21 06:27:49 +0000 Alfonso Sanchez-Beato (b2f6419) 

	* Change upstart job so nuntium is re-spawned after an exit/crash
          Fixes: #1456097 Approved by: Sergio Schvezov

2015-05-21 08:25:43 +0200 Alfonso Sanchez-Beato (aa7e20e) 

	* Fix changelog version

2015-05-21 08:22:11 +0200 Alfonso Sanchez-Beato (918fb29) 

	* Fix package version

2015-05-20 14:32:08 +0200 Alfonso Sanchez-Beato (12cea66) 

	* [ Sergio Schvezov ] * Decode properly content type when there are
          parameters [ Alfonso Sanchez-Beato ] * Fix LP: #1441135 in
          the event of an oFono crash * Use oFono's Preferred
          property when selecting the mobile context

2015-05-20 13:02:55 +0200 Manuel de la Pena (5e47596) 

	* Merge pull request #2 from ubuntu-phonedations/t_mobile

2015-05-20 13:02:38 +0200 Manuel de la Pena (ea35d2e) 

	* Merge pull request #18 from alfonsosanchezbeato/use-ofono-preferred

2015-05-18 15:49:15 +0200 Alfonso Sanchez-Beato (80a568f) 

	* Change upstart job so nuntium is re-spawned after an exit/crash

2015-05-14 12:46:45 +0200 Alfonso Sanchez-Beato (cad39c8) 

	* Consider Preferred property in context tests

2015-05-12 14:16:40 +0200 Alfonso Sanchez-Beato (49563e8) 

	* Use ofono's Preferred context property

2015-04-24 08:53:55 +0000 alfonsosanchezbeato (729a609) 

	* Make sure we receive modem added/removed signals

2015-04-24 08:52:03 +0000 alfonsosanchezbeato (d1b50a9) 

	* Notify SIM removed only if one was present

2015-04-22 00:58:08 +0000 CI Train Bot (58e9c23) 

	* Releasing 1.4+15.04.20150422-0ubuntu1

2015-04-22 00:58:04 +0000 Ricardo Salveti de Araujo (9bb294c) 

	* control: building with golang-go instead (only package currently
          using gccgo)

2015-04-21 20:29:42 -0300 Ricardo Salveti de Araujo (98d6c7b) 

	* Merging trunk

2015-04-21 20:28:27 -0300 Ricardo Salveti de Araujo (2f94c2b) 

	* releasing package nuntium version 1.4-0ubuntu6

2015-04-21 20:16:37 -0300 Ricardo Salveti de Araujo (2e42f6c) 

	* control: building with golang-go instead (only package currently
          using gccgo)

2015-01-21 14:42:58 -0300 Sergio Schvezov (8553b75) 

	* Release 1.4

2015-01-20 11:06:25 -0300 Sergio Schvezov (64b1781) 

	* Adding support for multiple recipients

2015-01-20 11:04:38 -0300 Sergio Schvezov (ef83876) 

	* Release commit

2015-01-20 10:15:41 -0300 sergiusens (f28cbff) 

	* Merge pull request #15 from mandel-macaque/master

2015-01-20 10:15:41 -0300 sergiusens (319d648) 

	* Merge pull request #15 from mandel-macaque/master

2015-01-15 23:19:16 +0100 Manuel de la Pena (d83439b) 

	* Use if statement to decide the pkg to use.

2015-01-15 23:19:16 +0100 Manuel de la Pena (3753fe2) 

	* Use if statement to decide the pkg to use.

2015-01-15 23:09:25 +0100 Manuel de la Pena (dc92aae) 

	* Try diff way to set the env vars.

2015-01-15 23:09:25 +0100 Manuel de la Pena (c79c0d0) 

	* Try diff way to set the env vars.

2015-01-15 23:08:32 +0100 Manuel de la Pena (9060c8d) 

	* Try diff way to set the env vars.

2015-01-15 23:08:32 +0100 Manuel de la Pena (c90ec4c) 

	* Try diff way to set the env vars.

2015-01-15 22:59:42 +0100 Manuel de la Pena (3094306) 

	* Ensure that the correct cover pkg is used depending on the golang
          installed.

2015-01-15 22:59:42 +0100 Manuel de la Pena (d7e6ce6) 

	* Ensure that the correct cover pkg is used depending on the golang
          installed.

2015-01-15 22:45:23 +0100 Manuel de la Pena (2787c47) 

	* Update travis config.

2015-01-15 22:45:23 +0100 Manuel de la Pena (0ab407e) 

	* Update travis config.

2015-01-15 16:45:48 +0100 Manuel de la Pena (d1e4b25) 

	* Fix issue #14 by adding the TO field several times (one per
          recipient) and adapts the structures accordingly to have a
          []string in the To field instead of a string.

2015-01-15 16:45:48 +0100 Manuel de la Pena (7b67ffc) 

	* Fix issue #14 by adding the TO field several times (one per
          recipient) and adapts the structures accordingly to have a
          []string in the To field instead of a string.

2014-11-07 13:45:54 -0300 Sergio Schvezov (85331e3) 

	* Upstream packaging

2014-11-07 11:02:21 -0300 Sergio Schvezov (da38658) 

	* Adding replaces logic for nuntium-decode-cli -> nuntium-tools

2014-11-07 10:51:55 -0300 Sergio Schvezov (29707e7) 

	* New packaging (inherited from bzr based upstream)

2014-11-06 14:47:08 -0200 Ricardo Salveti de Araujo (7d46416) 

	* Merge pull request #13 from ubuntu-phonedations/nuntium-inject-push

2014-11-06 14:47:08 -0200 Ricardo Salveti de Araujo (7b3ac6c) 

	* Merge pull request #13 from ubuntu-phonedations/nuntium-inject-push

2014-11-06 02:15:24 -0300 Sergio Schvezov (d1cb000) 

	* Adding nuntium-inject-push

2014-11-06 02:20:46 -0300 Sergio Schvezov (00e5a41) 

	* Adding nuntium-inject-push

2014-11-03 16:28:23 -0300 sergiusens (6c29f49) 

	* Merge pull request #11 from ubuntu-phonedations/testdoc

2014-11-03 16:28:23 -0300 sergiusens (569f200) 

	* Merge pull request #11 from ubuntu-phonedations/testdoc

2014-10-29 19:42:15 -0300 Sergio Schvezov (bfa2f19) 

	* Adding testing document.

2014-10-30 10:03:18 -0300 Sergio Schvezov (36c822f) 

	* Adding testing document.

2014-10-29 15:05:18 -0300 sergiusens (68f802f) 

	* Merge pull request #10 from ubuntu-phonedations/archdoc

2014-10-29 15:05:18 -0300 sergiusens (aec72a9) 

	* Merge pull request #10 from ubuntu-phonedations/archdoc

2014-10-28 16:34:18 -0300 Sergio Schvezov (223f934) 

	* Adding README.md and architecture document

2014-10-28 20:33:18 -0300 Sergio Schvezov (11daf5f) 

	* Adding README.md and architecture document

2014-10-22 10:09:32 -0400 Sergio Schvezov (4f0dc49) 

	* Content Type with parameters decoded properly

2014-10-21 09:13:11 -0400 Sergio Schvezov (a01a8e4) 

	* Relocating artifacts

2014-10-21 09:13:11 -0400 Sergio Schvezov (fbb675b) 

	* Relocating artifacts

2014-10-14 22:36:39 -0300 Sergio Schvezov (5be5456) 

	* Adding goveralls configuration

2014-10-14 23:35:31 -0300 Sergio Schvezov (e42f61c) 

	* Adding goveralls configuration

2014-10-14 21:47:52 -0300 Sergio Schvezov (b2db414) 

	* Adding travis configuration

2014-10-14 21:41:04 -0300 Sergio Schvezov (927037d) 

	* Removing debian packaging

2014-10-02 15:06:31 +0000 CI bot (3fb2c32) 

	* Releasing 0.1+14.10.20141002-0ubuntu1

2014-10-02 15:06:20 +0000 Sergio Schvezov (c08ff5f) 

	* Retry on NotAttached ofono errors Fixes: 1371032 Approved by:
          Ricardo Salveti, PS Jenkins bot

2014-10-02 15:06:09 +0000 Sergio Schvezov (8b69db2) 

	* Syncing upload/download operations with activation/deactivation per
          request. Moving all the ofono context property checks and
          reflection logic to proper functions for easier reuse and
          readability. Fixes: 1376224 Approved by: PS Jenkins bot

2014-10-02 15:05:58 +0000 Sergio Schvezov (5a81088) 

	* Allow context selection over the org.ofono.mms.Service interface
          Fixes: 1370660 Approved by: Antti Kaijanmäki, PS Jenkins
          bot, Ricardo Salveti

2014-10-01 22:24:13 -0300 Sergio Schvezov (a974300) 

	* format fix

2014-10-01 22:21:18 -0300 Sergio Schvezov (84de43f) 

	* bzr pump

2014-10-01 22:15:08 -0300 Sergio Schvezov (581af41) 

	* active toggling improvements including new dbus error type checks
          and log handling

2014-10-01 21:15:20 -0300 Sergio Schvezov (87cf098) 

	* Deactivating context if it was activated on scope exit

2014-10-01 15:32:45 -0300 Sergio Schvezov (2b40a70) 

	* Retry on NotAttached ofono errors

2014-10-01 11:51:33 -0300 Sergio Schvezov (b008d35) 

	* Log improv

2014-10-01 11:42:24 -0300 Sergio Schvezov (4c7bacf) 

	* Syncing upload/download operations with activation/deactivation per
          request

2014-10-01 10:56:23 -0300 Sergio Schvezov (b464072) 

	* Removing stale log line

2014-09-30 15:01:12 -0300 Sergio Schvezov (47734d5) 

	* Emitting properties changed for preferred context and always having
          the property set

2014-09-30 11:35:45 -0300 Sergio Schvezov (698ad90) 

	* Minor cleanup, always refreshed from stored context state

2014-09-29 19:40:15 -0300 Sergio Schvezov (00d030a) 

	* Adding log on what is being tried for activation

2014-09-29 18:31:50 -0300 Sergio Schvezov (f7684c9) 

	* Allow context selection over the org.ofono.mms.Service interface

2014-09-24 12:39:58 +0000 CI bot (3ccdc54) 

	* Releasing 0.1+14.10.20140924-0ubuntu1

2014-09-24 12:39:47 +0000 Sergio Schvezov (447c0c5) 

	* Using the same optional parameters android uses for sending, fixing
          length encoding for lengths < 30, adding extra params to
          the content types. Fixes: 1349299 Approved by: PS Jenkins
          bot, Manuel de la Peña

2014-09-23 16:58:36 -0300 Sergio Schvezov (57189e6) 

	* Using the same optional parameters android uses for sending, fixing
          length encoding for lengths < 30, adding extra params to
          the content types.

2014-09-18 04:37:21 +0000 CI bot (cedd2bb) 

	* Releasing 0.1+14.10.20140918-0ubuntu1

2014-09-18 04:37:11 +0000 Sergio Schvezov (991e5e4) 

	* Iterate over a list of possible valid MMS contexts and store the
          preferred one Fixes: 1370659 Approved by: Ricardo Salveti,
          PS Jenkins bot

2014-09-17 22:47:59 -0300 Sergio Schvezov (eacc358) 

	* Try all possible contexts that could be used for MMS instead of the
          first match and store the working one as the preferred
          context

2014-09-15 14:59:47 +0000 CI bot (8e07efa) 

	* Releasing 0.1+14.10.20140915.1-0ubuntu1

2014-09-15 14:58:42 +0000 Sergio Schvezov (fefc70e) 

	* Add a missing return statement when decoding fails with an
          additional decoding test. Fixes: 1369143 Approved by:
          Ricardo Salveti, PS Jenkins bot

2014-09-13 16:36:27 -0300 Sergio Schvezov (dbe648f) 

	* Add a missing return statement when decoding fails with an
          additional decoding test.

2014-09-12 00:38:34 +0000 CI bot (8b8d971) 

	* Releasing 0.1+14.10.20140912-0ubuntu1

2014-09-12 00:38:22 +0000 Sergio Schvezov (18fb406) 

	* Allow proxyless contexts to be selected for MMS Fixes: 1362008
          Approved by: Ricardo Salveti, PS Jenkins bot

2014-09-10 15:42:24 -0300 Sergio Schvezov (937b940) 

	* Allow proxyless MMS contexts to be selected.

2014-09-04 19:21:58 +0000 CI bot (d28e7be) 

	* Releasing 0.1+14.10.20140904-0ubuntu1

2014-09-04 19:21:47 +0000 Sergio Schvezov (cac62d7) 

	* Better error handling on sending MMS and lowering the supported
          version number for broader carrier support Fixes: 1349299
          Approved by: PS Jenkins bot, Manuel de la Peña

2014-09-03 16:44:47 -0300 Sergio Schvezov (16c7869) 

	* Copy the tests when provisioning in debian/rules

2014-09-03 15:37:39 -0300 Sergio Schvezov (bac237e) 

	* Forgot the test!

2014-09-03 15:20:22 -0300 Sergio Schvezov (44f7f6c) 

	* Use Version 1.1 for MMS to have broader carrier support

2014-09-03 15:11:31 -0300 Sergio Schvezov (7cac070) 

	* Better error handling on send

2014-09-02 08:39:26 +0000 CI bot (00752d1) 

	* Releasing 0.1+14.10.20140902-0ubuntu1

2014-09-02 08:39:14 +0000 Sergio Schvezov (09dd1b7) 

	* Read reflected content length for push data into the correct type.
          Fixes: 1342441 Approved by: Ricardo Salveti, PS Jenkins
          bot

2014-09-01 14:58:37 -0300 Sergio Schvezov (0b163be) 

	* Read reflected content length for push data into the correct type.

2014-08-14 20:25:23 +0000 CI bot (dd5f0d6) 

	* Releasing 0.1+14.10.20140814-0ubuntu1

2014-08-14 20:25:12 +0000 Tiago Salem Herrmann (92178b0) 

	* Add ModemObjectPath property to Service. Approved by: PS Jenkins
          bot

2014-08-12 17:50:25 -0300 Tiago Salem Herrmann (9fdf198) 

	* add ModemObjectPath property to Service

2014-07-21 09:44:10 +0000 CI bot (c09acf3) 

	* Releasing 0.1+14.10.20140721-0ubuntu1

2014-07-21 09:43:57 +0000 Sergio Schvezov (33df4a8) 

	* Tracking response file for uploads (remaining parts to be done when
          telepathy-ofono integration work starts) Approved by:
          Manuel de la Peña

2014-07-21 09:43:49 +0000 Sergio Schvezov (389c5be) 

	* Attachment encoding fixes. Fixes: 1342270 Approved by: Manuel de la
          Peña

2014-07-21 09:43:40 +0000 Sergio Schvezov (0867be2) 

	* Header parameter encoding corrections for content type and from
          token insert address length. Approved by: Manuel de la
          Peña

2014-07-21 09:43:30 +0000 Sergio Schvezov (1eac937) 

	* Calling sync and close after encoding and before uploading.
          Approved by: Manuel de la Peña

2014-07-17 09:10:58 -0300 Sergio Schvezov (1e3f567) 

	* Keep track of the response file; adding notification when telepathy
          work starts.

2014-07-15 16:17:20 -0300 Sergio Schvezov (c015524) 

	* Making it easier to solve bug 1342270

2014-07-15 14:37:22 -0300 Sergio Schvezov (2191b28) 

	* Fix attachment encoding

2014-07-14 16:17:12 -0300 Sergio Schvezov (85064e0) 

	* Use MMS Content Type instead of WSP Content Type parameter.

2014-07-14 16:16:20 -0300 Sergio Schvezov (2b33d13) 

	* From token address length encoding needs to be encoded without
          length encoding.

2014-07-14 13:13:57 -0300 Sergio Schvezov (d7fabce) 

	* Calling sync and close

2014-07-02 21:15:22 +0000 CI bot (8e7ccbf) 

	* Releasing 0.1+14.10.20140702.2-0ubuntu1

2014-07-02 21:15:08 +0000 CI bot (7c51396) 

	* SendMessage telepathy service support with necessary encoder fixes.

2014-07-02 21:14:57 +0000 CI bot (3edd7a1) 

	* Upload support while moving udm to it's new package namespace

2014-07-02 21:14:50 +0000 Sergio Schvezov (f5c8741) 

	* Sending MessageAdded with draft Status for new outgoing messages

2014-07-02 21:14:43 +0000 Sergio Schvezov (400efef) 

	* Length bound checks fix Fixes: 1336146

2014-07-02 21:14:30 +0000 Sergio Schvezov (2146056) 

	* Relaxing matching for smil media type

2014-07-02 21:14:22 +0000 Sergio Schvezov (f0a9c9c) 

	* Adding encode -> decode tests for the cases where decoding is the
          inverse function of encoding.

2014-07-02 21:14:14 +0000 Sergio Schvezov (fdc58ef) 

	* Making decoding less verbose and logging information on errors only

2014-07-02 21:14:07 +0000 Sergio Schvezov (abc5b5a) 

	* Fixing recv for multiple recipients.

2014-07-02 21:13:55 +0000 Sergio Schvezov (4fd9388) 

	* Adding a minimal telepathy message interface

2014-07-02 21:13:48 +0000 Sergio Schvezov (345cff6) 

	* Waiting for calls to GetServices on the proper interface

2014-07-02 21:13:39 +0000 Sergio Schvezov (c78dd25) 

	* Improving incoming dbus method call handling for the mms service
          interface

2014-07-02 18:06:14 -0300 Sergio Schvezov (a07defb) 

	* Merged length_limits into message_signals_for_sending.

2014-07-02 18:06:14 -0300 Sergio Schvezov (1ba2b09) 

	* Merged smil_fix into length_limits.

2014-07-02 18:06:14 -0300 Sergio Schvezov (b1028b5) 

	* Merged encode_decode_tests into smil_fix.

2014-07-02 18:06:14 -0300 Sergio Schvezov (c3a279f) 

	* Merged stdout_cleanup into encode_decode_tests.

2014-07-02 18:06:14 -0300 Sergio Schvezov (0db34d5) 

	* Merged multiple-recipients into stdout_cleanup.

2014-07-02 18:06:14 -0300 Sergio Schvezov (a84b2c0) 

	* Merged message-api into multiple-recipients.

2014-07-02 18:06:03 -0300 Sergio Schvezov (39a08bf) 

	* Adding missing return

2014-07-02 17:01:11 -0300 Sergio Schvezov (1cd477d) 

	* Sending MessageAdded for SendMessage

2014-07-02 10:51:40 -0300 Sergio Schvezov (cf14a7f) 

	* Merged smil_fix into length_limits.

2014-07-02 10:51:40 -0300 Sergio Schvezov (df3b9dd) 

	* Merged encode_decode_tests into smil_fix.

2014-07-02 10:51:18 -0300 Sergio Schvezov (138d6cf) 

	* Adding doc strings to explain bit operations and logic

2014-07-02 10:09:46 -0300 Sergio Schvezov (368a685) 

	* Merged smil_fix into length_limits.

2014-07-02 10:09:45 -0300 Sergio Schvezov (77fa863) 

	* Merged encode_decode_tests into smil_fix.

2014-07-02 10:09:45 -0300 Sergio Schvezov (31f1031) 

	* Merged stdout_cleanup into encode_decode_tests.

2014-07-02 10:09:29 -0300 Sergio Schvezov (f57b885) 

	* Removing commented code

2014-07-02 10:03:40 -0300 Sergio Schvezov (5c3c770) 

	* Merged message-api into multiple-recipients.

2014-07-02 10:03:40 -0300 Sergio Schvezov (be2d5db) 

	* Merged smil_fix into length_limits.

2014-07-02 10:03:40 -0300 Sergio Schvezov (d2f1a07) 

	* Merged encode_decode_tests into smil_fix.

2014-07-02 10:03:40 -0300 Sergio Schvezov (dc4a314) 

	* Merged stdout_cleanup into encode_decode_tests.

2014-07-02 10:03:40 -0300 Sergio Schvezov (ea59676) 

	* Merged multiple-recipients into stdout_cleanup.

2014-07-02 10:03:35 -0300 Sergio Schvezov (2635b37) 

	* Using the sort package to find valid status values

2014-07-02 09:24:24 -0300 Sergio Schvezov (a2cd4de) 

	* Merged message-api into multiple-recipients.

2014-07-02 09:24:24 -0300 Sergio Schvezov (1802eed) 

	* Merged smil_fix into length_limits.

2014-07-02 09:24:24 -0300 Sergio Schvezov (117658c) 

	* Merged encode_decode_tests into smil_fix.

2014-07-02 09:24:24 -0300 Sergio Schvezov (ce94182) 

	* Merged stdout_cleanup into encode_decode_tests.

2014-07-02 09:24:24 -0300 Sergio Schvezov (225befe) 

	* Merged multiple-recipients into stdout_cleanup.

2014-07-02 09:24:23 -0300 Sergio Schvezov (a2e704f) 

	* Merged outgoing_message into getservices.

2014-07-02 09:24:23 -0300 Sergio Schvezov (62d14e3) 

	* Merged getservices into message-api.

2014-07-02 09:21:07 -0300 Sergio Schvezov (0fb6898) 

	* close for mediator.NewMSendReq and mediator.NewMSendReqFile

2014-07-02 06:31:37 -0300 Sergio Schvezov (365c02d) 

	* Fixing bound check on short length max

2014-07-01 09:11:27 -0300 Sergio Schvezov (5da168e) 

	* Merged encode_decode_tests into smil_fix.

2014-07-01 09:11:27 -0300 Sergio Schvezov (edee106) 

	* Merged stdout_cleanup into encode_decode_tests.

2014-07-01 09:09:36 -0300 Sergio Schvezov (4f37d36) 

	* More log improvements while decoding and spitting out the dec.log
          on Decode errors

2014-06-30 18:54:47 -0300 Sergio Schvezov (311e541) 

	* Merged encode_decode_tests into smil_fix.

2014-06-30 18:54:47 -0300 Sergio Schvezov (7ba9101) 

	* Merged stdout_cleanup into encode_decode_tests.

2014-06-30 18:54:46 -0300 Sergio Schvezov (8170f1b) 

	* Merged message-api into multiple-recipients.

2014-06-30 18:54:46 -0300 Sergio Schvezov (cf26274) 

	* Merged multiple-recipients into stdout_cleanup.

2014-06-30 18:54:40 -0300 Sergio Schvezov (2bd9c7e) 

	* Fixing build issues

2014-06-30 18:53:45 -0300 Sergio Schvezov (38de444) 

	* Merged encode_decode_tests into smil_fix.

2014-06-30 18:53:45 -0300 Sergio Schvezov (44eb60c) 

	* Merged stdout_cleanup into encode_decode_tests.

2014-06-30 18:53:45 -0300 Sergio Schvezov (df9e1e9) 

	* Merged message-api into multiple-recipients.

2014-06-30 18:53:45 -0300 Sergio Schvezov (83b3f30) 

	* Merged multiple-recipients into stdout_cleanup.

2014-06-30 18:53:30 -0300 Sergio Schvezov (8b5761b) 

	* Checking for errors while sending signals to telepathy

2014-06-30 18:51:03 -0300 Sergio Schvezov (ddd235e) 

	* Merged encode_decode_tests into smil_fix.

2014-06-30 18:51:03 -0300 Sergio Schvezov (a73731f) 

	* Merged stdout_cleanup into encode_decode_tests.

2014-06-30 18:51:02 -0300 Sergio Schvezov (d272fc6) 

	* Merged message-api into multiple-recipients.

2014-06-30 18:51:02 -0300 Sergio Schvezov (366815b) 

	* Merged multiple-recipients into stdout_cleanup.

2014-06-30 18:50:55 -0300 Sergio Schvezov (a540758) 

	* merging

2014-06-30 18:48:45 -0300 Sergio Schvezov (068abd6) 

	* Merged outgoing_message into getservices.

2014-06-30 18:48:35 -0300 Sergio Schvezov (0f7841c) 

	* Remove useless TODO print

2014-06-30 18:36:16 -0300 Sergio Schvezov (96c2e4f) 

	* Merged encode_decode_tests into smil_fix.

2014-06-30 18:36:16 -0300 Sergio Schvezov (9df8b0d) 

	* Merged stdout_cleanup into encode_decode_tests.

2014-06-30 18:36:16 -0300 Sergio Schvezov (2125c4f) 

	* Merged multiple-recipients into stdout_cleanup.

2014-06-30 18:36:15 -0300 Sergio Schvezov (cd70c09) 

	* Merged message-api into multiple-recipients.

2014-06-30 18:36:15 -0300 Sergio Schvezov (9f78fda) 

	* Merged getservices into message-api.

2014-06-30 18:36:15 -0300 Sergio Schvezov (46e4501) 

	* Merged outgoing_message into getservices.

2014-06-30 18:36:15 -0300 Sergio Schvezov (08d8b47) 

	* Merged uploads into outgoing_message.

2014-06-30 18:36:05 -0300 Sergio Schvezov (6beec67) 

	* Removing unnecessary error logging

2014-06-30 18:33:05 -0300 Sergio Schvezov (daf6b89) 

	* Relaxing GetSmil

2014-06-30 17:50:05 -0300 Sergio Schvezov (1955f6d) 

	* Merged stdout_cleanup into encode_decode_tests.

2014-06-30 17:50:05 -0300 Sergio Schvezov (18d2dfa) 

	* Merged multiple-recipients into stdout_cleanup.

2014-06-30 17:50:05 -0300 Sergio Schvezov (d14692d) 

	* Merged message-api into multiple-recipients.

2014-06-30 17:50:05 -0300 Sergio Schvezov (4aefe1c) 

	* Merged getservices into message-api.

2014-06-30 17:50:05 -0300 Sergio Schvezov (52045eb) 

	* Merged outgoing_message into getservices.

2014-06-30 17:50:04 -0300 Sergio Schvezov (28c3989) 

	* Merged uploads into outgoing_message.

2014-06-30 17:50:01 -0300 Sergio Schvezov (4067dc1) 

	* More error reporting on uploads

2014-06-30 17:49:45 -0300 Sergio Schvezov (221554d) 

	* adding ubuntu-upload-manager as a dependency

2014-06-30 17:03:07 -0300 Sergio Schvezov (a90e30e) 

	* Merged stdout_cleanup into encode_decode_tests.

2014-06-30 17:03:07 -0300 Sergio Schvezov (dcda3b9) 

	* Merged multiple-recipients into stdout_cleanup.

2014-06-30 17:03:07 -0300 Sergio Schvezov (844f799) 

	* Merged message-api into multiple-recipients.

2014-06-30 17:02:41 -0300 Sergio Schvezov (2eb1175) 

	* Destroy message

2014-06-30 16:56:51 -0300 Sergio Schvezov (ff1ce26) 

	* property change for message status changes

2014-06-30 14:46:54 -0300 Sergio Schvezov (3be4390) 

	* Merged outgoing_message into getservices.

2014-06-30 14:46:54 -0300 Sergio Schvezov (903e341) 

	* Merged stdout_cleanup into encode_decode_tests.

2014-06-30 14:46:54 -0300 Sergio Schvezov (00ce71d) 

	* Merged multiple-recipients into stdout_cleanup.

2014-06-30 14:46:54 -0300 Sergio Schvezov (fb09015) 

	* Merged message-api into multiple-recipients.

2014-06-30 14:46:54 -0300 Sergio Schvezov (5f69d3d) 

	* Merged getservices into message-api.

2014-06-30 14:46:42 -0300 Sergio Schvezov (a49328b) 

	* Better error messages for service

2014-06-30 14:22:35 -0300 Sergio Schvezov (dae1bdb) 

	* Adding PropertyChanged to message api

2014-06-30 08:03:14 -0300 Sergio Schvezov (9dec354) 

	* Legnth encoding tests

2014-06-30 07:22:45 -0300 Sergio Schvezov (8f15d04) 

	* Fixing encoding for uintvar with added tests

2014-06-30 06:23:50 -0300 Sergio Schvezov (124db5c) 

	* Minor cleanup and fixes from written tests

2014-06-29 08:32:33 -0300 Sergio Schvezov (33a1201) 

	* Merged stdout_cleanup into encode_decode_tests.

2014-06-29 08:30:42 -0300 Sergio Schvezov (9573250) 

	* save logs for encoding too

2014-06-29 08:23:49 -0300 Sergio Schvezov (a04e866) 

	* Merged stdout_cleanup into encode_decode_tests.

2014-06-29 08:22:47 -0300 Sergio Schvezov (590249f) 

	* Adding initial encode/decode tests

2014-06-29 08:21:51 -0300 Sergio Schvezov (5d93ba8) 

	* Writing decoded values to backlog to display on error only

2014-06-28 15:53:47 -0300 Sergio Schvezov (75a20c2) 

	* Allow decoding of multiple TOs

2014-06-26 18:37:38 -0300 Sergio Schvezov (a499ad8) 

	* Merged outgoing_message into getservices.

2014-06-26 18:37:38 -0300 Sergio Schvezov (86501a2) 

	* Merged getservices into message-api.

2014-06-26 18:37:23 -0300 Sergio Schvezov (2a9e11d) 

	* Removing udm removal from debian/rules

2014-06-26 18:28:30 -0300 Sergio Schvezov (25dba62) 

	* Merged outgoing_message into getservices.

2014-06-26 18:28:30 -0300 Sergio Schvezov (88fbeb1) 

	* Merged getservices into message-api.

2014-06-26 18:28:20 -0300 Sergio Schvezov (985b286) 

	* Remove local hack

2014-06-26 18:20:22 -0300 Sergio Schvezov (4188b28) 

	* Adding missing file

2014-06-26 18:08:37 -0300 Sergio Schvezov (96d50c6) 

	* Merged outgoing_message into getservices.

2014-06-26 18:08:37 -0300 Sergio Schvezov (47ec4c1) 

	* Merged uploads into outgoing_message.

2014-06-26 18:08:37 -0300 Sergio Schvezov (6db86e8) 

	* Merged getservices into message-api.

2014-06-26 18:08:26 -0300 Sergio Schvezov (33f39f1) 

	* Adding packaging dependency for udm

2014-06-26 16:47:39 -0300 Sergio Schvezov (6a46896) 

	* Merged getservices into message-api.

2014-06-26 16:46:11 -0300 Sergio Schvezov (f255f0c) 

	* Listening on the proper interface

2014-06-26 16:42:52 -0300 Sergio Schvezov (72beee6) 

	* Initial implementation of the message interface

2014-06-25 15:44:40 -0300 Sergio Schvezov (148678e) 

	* Merged uploads into outgoing_message.

2014-06-25 15:42:19 -0300 Sergio Schvezov (61a0234) 

	* Merged telepathy_switch into uploads.

2014-06-25 15:40:15 -0300 Sergio Schvezov (b082e1e) 

	* Merging trunk

2014-06-24 14:09:07 -0300 Sergio Schvezov (60523fc) 

	* Checking for errors before uploading

2014-06-22 19:46:12 -0300 Sergio Schvezov (3a37ecd) 

	* m-send.req file sending

2014-06-22 19:45:31 -0300 Sergio Schvezov (f669da9) 

	* Adding length encoding

2014-06-21 19:53:48 +0000 CI bot (64736bf) 

	* Releasing 0.1+14.10.20140621-0ubuntu1

2014-06-21 19:53:36 +0000 Sergio Schvezov (4c1a104) 

	* Decoding well known media types in the push notification. Fixes:
          1330917

2014-06-21 16:39:53 -0300 Sergio Schvezov (bce2c40) 

	* Not running tests on powerpc, the runners panic

2014-06-21 12:32:41 -0300 Sergio Schvezov (5071e9f) 

	* Fix test to not decode twice

2014-06-19 15:13:50 -0300 Sergio Schvezov (5b9ddc6) 

	* Fixing typos

2014-06-19 10:58:47 -0300 Sergio Schvezov (06cdacc) 

	* Fixing introduced errors while decoding media type

2014-06-18 16:25:47 -0300 Sergio Schvezov (bc1dc02) 

	* Decoding well known media types in the push notification.

2014-05-29 13:55:29 +0000 CI bot (a9cf553) 

	* Releasing 0.1+14.10.20140529-0ubuntu1

2014-05-29 13:55:19 +0000 Sergio Schvezov (02527b3) 

	* Fixing constrained content type decoding Fixes: 1324182

2014-05-29 09:41:27 -0300 Sergio Schvezov (8f23891) 

	* Addding bounds checking

2014-05-29 07:10:05 -0300 Sergio Schvezov (a1125ed) 

	* Allow decoding constrained media

2014-05-23 07:30:17 -0300 Sergio Schvezov (e079680) 

	* SendMessage upper and lower layers checkpoint

2014-05-21 12:15:56 -0300 Sergio Schvezov (43a82e5) 

	* Merged uploads into outgoing_message.

2014-05-21 12:15:52 -0300 Sergio Schvezov (429dfb6) 

	* Adding uploads

2014-05-20 12:51:11 -0300 Sergio Schvezov (6154e11) 

	* using the proper udm path

2014-05-20 12:49:50 -0300 Sergio Schvezov (15786f2) 

	* Initial send message

2014-05-19 05:13:21 -0300 Sergio Schvezov (dd92872) 

	* Simplify telepathy service message switch

2014-05-14 14:21:59 +0000 CI bot (4a3a697) 

	* Releasing 0.1+14.10.20140514.1-0ubuntu1

2014-05-14 14:21:48 +0000 Sergio Schvezov (28314e7) 

	* Encoder improvements

2014-05-14 14:21:40 +0000 Sergio Schvezov (c1b5458) 

	* Splitting up ofono package to smaller logical bits

2014-05-14 14:21:33 +0000 Sergio Schvezov (fbab342) 

	* Adding one more condition to the upstart start stanza since the
          first event can be missed

2014-05-14 14:21:26 +0000 Sergio Schvezov (23fa774) 

	* Removing redundant log line

2014-05-14 14:21:18 +0000 Sergio Schvezov (db229ff) 

	* Fixing a string decode bounds issue

2014-05-13 14:06:46 -0300 Sergio Schvezov (03640b3) 

	* Moving stray Built-Using from Depends into Built-Using.

2014-05-13 08:29:13 -0300 Sergio Schvezov (cf9646b) 

	* Making status retrieval it's own function reciever for modem and
          adding some comments wrt what is being accomplished and
          how

2014-05-12 10:47:34 -0300 Sergio Schvezov (9bd9085) 

	* Creating a new dbus instance tot he system bus for the push agent
          to avoid a deadlock when call RegisterAgent. Also putting
          back Agent registering back onto the mediator.

2014-05-09 17:22:50 -0300 Sergio Schvezov (95a6477) 

	* Merged upstart_fix into ofonomanager.

2014-05-09 17:22:03 -0300 Sergio Schvezov (f769bdf) 

	* Allowing upstart job to start on started dbus session bus in case
          we miss the ofono start

2014-05-09 17:16:29 -0300 Sergio Schvezov (7545dca) 

	* More guards and cleanup

2014-05-09 15:49:02 -0300 Sergio Schvezov (74a7833) 

	* Renaming file ofono.go to modem.go to reflect its unit's function

2014-05-09 15:48:37 -0300 Sergio Schvezov (279c0be) 

	* Merged log_redundancy into ofonomanager.

2014-05-09 15:48:26 -0300 Sergio Schvezov (d0cc7b8) 

	* Removing push pdu log print

2014-05-09 15:30:25 -0300 Sergio Schvezov (db65ac6) 

	* Merged decode_errors into ofonomanager.

2014-05-09 15:30:00 -0300 Sergio Schvezov (0d349a0) 

	* Fixing decoder ReadString out of bounds and adding tests for it.

2014-05-09 10:25:43 -0300 Sergio Schvezov (7bf718f) 

	* Returning called function's err value directly instead of
          indirectly where possible

2014-05-08 18:28:51 -0700 Steve Langasek (71000c0) 

	* releasing package nuntium version 0.1-0ubuntu1

2014-05-08 20:23:22 -0300 Sergio Schvezov (20e8b23) 

	* Spliting ofono up into smaller pieces (init)

2014-05-08 15:41:14 -0700 Steve Langasek (f6b0d38) 

	* Merge lp:~sergiusens/nuntium/packaging_fixes

2014-05-08 07:20:40 -0300 Sergio Schvezov (7e7b573) 

	* Cleaning up the changelog

2014-05-08 07:19:46 -0300 Sergio Schvezov (6b43f1e) 

	* Skip the stripping phase we are using gccgo

2014-05-07 22:13:19 -0300 Sergio Schvezov (ece0736) 

	* Reverting back to using mostly dh_golang

2014-05-07 21:11:16 -0300 Sergio Schvezov (dc5db50) 

	* Using the packaged path for go-xdg

2014-05-07 21:10:42 -0300 Sergio Schvezov (6fb30ef) 

	* Adding missing package dependency for testing

2014-05-07 17:14:57 -0300 Sergio Schvezov (44caafb) 

	* Using gccgo, fixing upstart script and removing lintian overrides

2014-05-07 16:10:19 -0300 Sergio Schvezov (df1b430) 

	* Making dbus conn part of ofono struct, adding a mediator to process
          events, enabling storing, adding an initial encoder

2014-05-07 10:22:18 -0300 Sergio Schvezov (78bcf05) 

	* Putting the encoder into a loop

2014-05-07 05:48:46 -0300 Sergio Schvezov (8822c26) 

	* Making the anonymous function from the prior commit a named one

2014-05-06 17:00:30 -0300 Sergio Schvezov (5f82a19) 

	* Putting the m-notifyresp.ind encoding part into an anonymous
          function to be able to use defer

2014-05-06 06:43:42 -0300 Sergio Schvezov (f0796b5) 

	* Initial encoding implementation

2014-04-30 11:24:26 -0300 Sergio Schvezov (d5cc503) 

	* Removing storage management from the mms package

2014-04-29 08:04:19 -0300 Sergio Schvezov (d5d2d07) 

	* Fixing store path

2014-04-28 14:34:06 -0300 Sergio Schvezov (418d53e) 

	* Adding initial storage

2014-04-28 11:53:40 -0300 Sergio Schvezov (a2f87ad) 

	* Merged ofono_dbus_conn into messageprocessing.

2014-04-28 11:53:23 -0300 Sergio Schvezov (df606b6) 

	* Pumping changes

2014-04-28 11:51:20 -0300 Sergio Schvezov (a0314bc) 

	* Cosmetic split and reordering.

2014-04-28 08:50:22 -0300 Sergio Schvezov (cefcb42) 

	* Merged ofono_dbus_conn into messageprocessing.

2014-04-28 08:50:22 -0300 Sergio Schvezov (f818ce0) 

	* Merged nuntium into ofono_dbus_conn.

2014-04-28 08:49:50 -0300 Sergio Schvezov (3ba430c) 

	* Cosmetic split and reordering. Removed unused elements

2014-04-28 07:54:41 -0300 Sergio Schvezov (9ec3e24) 

	* Adding a mediator component

2014-04-24 20:58:16 -0300 Sergio Schvezov (a4dc22f) 

	* Making conn a member of Modem to not pass it around like a football

2014-04-24 18:33:38 -0300 Sergio Schvezov (d33315a) 

	* Running goimports to automatically get a separation of std library
          imports and others.

2014-04-22 14:56:17 -0300 Sergio Schvezov (4b547d2) 

	* Add sugar to decode-cli and allow writing of data parts to disk if
          3rd argument is provided and is a directory

2014-04-22 12:56:28 -0300 Sergio Schvezov (55207a8) 

	* Exiting with more information and checking for when more args are
          passed in.

2014-04-22 12:47:38 -0300 Sergio Schvezov (76011d7) 

	* Using the correct MessageAdded format and object paths

2014-04-14 21:57:43 -0300 Sergio Schvezov (ce577d1) 

	* Add sugar to decode-cli and allow writing of data parts to disk if
          3rd argument is provided and is a directory

2014-04-14 21:33:11 -0300 Sergio Schvezov (2f33c78) 

	* Using the correct MessageAdded format and object paths

2014-04-14 21:26:06 -0300 Sergio Schvezov (2a0924e) 

	* - Making Data, Offset and all the receivers for the decoder public
          so we can use to extend other decoders - Taking into
          account application headers - Moving wsp consts to
          separate file - Use the mms decoder to decode as much as
          possible - When decoding the remaining headers; all we
          care about is the application id - Cleanup of unused code

2014-04-14 21:23:50 -0300 Sergio Schvezov (e1c236e) 

	* Tracking ofono state

2014-04-14 10:43:05 -0300 Sergio Schvezov (1ce6b6b) 

	* Add comments to decoding general form parameters names and values

2014-04-14 10:36:53 -0300 Sergio Schvezov (34b19f3) 

	* Using consts where relevant

2014-04-11 16:00:20 -0300 Sergio Schvezov (6645a0a) 

	* gofmt

2014-04-11 15:49:36 -0300 Sergio Schvezov (8941bd0) 

	* Merging trunk

2014-04-11 15:41:05 -0300 Sergio Schvezov (19b6f93) 

	* - Moving consts to separate file - Use the mms decoder to decode as
          much as possible - When decoding the remaining headers;
          all we care about is the application id

2014-04-11 15:34:09 -0300 Sergio Schvezov (7b024d6) 

	* - Making Data, Offset and all the receivers for the decoder public
          so we can use to extend other decoders - Taking into
          account application headers

2014-04-11 15:20:10 -0300 Sergio Schvezov (f3c5adc) 

	* When the contetype is text/plain and not
          application/vnd.wap.multipart.related what follows is just
          []data

2014-04-10 16:44:19 -0300 Sergio Schvezov (b9c82bc) 

	* - Making the logic for startup a bit better - Adding better pdu
          print out (for initial stages)

2014-04-10 15:23:02 -0300 Sergio Schvezov (d353938) 

	* Allow for decoding of text/messages as content type

2014-04-10 10:01:54 -0300 Sergio Schvezov (fdf4780) 

	* Merging with trunk

2014-04-10 09:58:07 -0300 Sergio Schvezov (e1c4f1f) 

	* Implementing MessageAdded signal from org.ofono.mms.Service

2014-04-10 09:56:14 -0300 Sergio Schvezov (e0306a5) 

	* Better changelog

2014-04-10 09:54:26 -0300 Sergio Schvezov (3f6e800) 

	* - Decoding encoded strings and providing a more complete decoder
          for constrained media types - Clean exit if we can't
          decode a push header completely and all the data we need
          is already there - Setting port to 80 when no port is set,
          better handling of different input parameters

2014-04-10 09:51:46 -0300 Sergio Schvezov (08d9bdc) 

	* Don't filter on reflected value and save the Active state properly

2014-04-10 09:50:17 -0300 Sergio Schvezov (81d822f) 

	* Support for data parts that are just bytes

2014-04-10 09:47:54 -0300 Sergio Schvezov (1eae285) 

	* Changing the way we select contexts for MMS from ofono

2014-04-09 19:53:34 -0300 Sergio Schvezov (b36a91b) 

	* Registering from main instead of within the ofono package to avoid
          a blocking call to register agent

2014-04-09 18:24:20 -0300 Sergio Schvezov (2698dc9) 

	* Handling ofono state

2014-04-07 21:05:42 -0300 Sergio Schvezov (226bfc1) 

	* Using a named const for readString

2014-04-07 19:43:23 -0300 Sergio Schvezov (0e89dd0) 

	* Removing magic numbers

2014-04-07 19:04:28 -0300 Sergio Schvezov (78d0295) 

	* Better commit message

2014-04-07 18:58:52 -0300 Sergio Schvezov (73416bc) 

	* Decoding encoded strings and providing a more complete decoder for
          constrained media types

2014-04-07 18:58:19 -0300 Sergio Schvezov (f0a7806) 

	* Clean exit if we can't decode a push header completely and all the
          data we need is already there

2014-04-07 18:56:34 -0300 Sergio Schvezov (ed532cc) 

	* Setting port to 80 when no port is set, better handling of
          different input parameters

2014-04-07 13:08:42 -0300 Sergio Schvezov (2c869d1) 

	* Don't filter on reflected value and save the Active state properly

2014-04-07 10:19:57 -0300 Sergio Schvezov (ec62c5a) 

	* Returning on error

2014-04-06 12:34:26 -0300 Sergio Schvezov (ad799bf) 

	* Adding check for pure data payload in data parts

2014-04-04 19:02:58 -0300 Sergio Schvezov (30c1b2d) 

	* gofmt

2014-04-04 19:02:09 -0300 Sergio Schvezov (3f361f6) 

	* Finishing MessageAdded

2014-04-04 19:01:36 -0300 Sergio Schvezov (8f5f6f7) 

	* Fixing long integer decode

2014-04-04 18:36:30 -0300 Sergio Schvezov (5a620c2) 

	* Initial packaging

2014-04-04 16:54:59 -0300 Sergio Schvezov (4daeddd) 

	* Adding MessageAdded

2014-04-04 10:58:49 -0300 Sergio Schvezov (b4844a0) 

	* Changing the way we select contexts

2014-04-03 16:25:14 -0300 Sergio Schvezov (389a87f) 

	* Initial packaging

2014-04-03 10:22:35 -0300 Sergio Schvezov (accaab8) 

	* Adding udm locally

2014-04-03 08:12:25 -0300 Sergio Schvezov (d7a69ee) 

	* Hooking up data parts

2014-04-02 10:40:02 -0300 Sergio Schvezov (85ecc2b) 

	* Fixing off by one decoder error

2014-04-02 10:07:44 -0300 Sergio Schvezov (e84fd23) 

	* Decoding more parameters (charset and mediatype)

2014-03-31 21:24:21 -0300 Sergio Schvezov (eccd481) 

	* Content header correctness when not being able to decode and saving
          decoded value

2014-03-31 10:15:31 -0300 Sergio Schvezov (85c48e0) 

	* First pass of content type decoder

2014-03-30 11:58:15 -0300 Sergio Schvezov (2a74cf3) 

	* Creating decoder-cli

2014-03-30 11:57:25 -0300 Sergio Schvezov (4d43eef) 

	* Using helpers and finishing off decoder

2014-03-28 18:23:22 -0300 Sergio Schvezov (ef41f85) 

	* Using reflect for a generic decoder.

2014-03-28 08:47:01 -0300 Sergio Schvezov (0737cb6) 

	* Better differentiation between logged buses and name change for
          Download to DownloadContent

2014-03-28 08:46:20 -0300 Sergio Schvezov (00a711a) 

	* Adding tear down for services

2014-03-28 08:44:57 -0300 Sergio Schvezov (0ef48b6) 

	* Adding Content Length parsing, better errors to stdout for
          unhandled fields and operator selection to test/test.go

2014-03-27 11:32:20 -0300 Sergio Schvezov (1c991a8) 

	* Adding initial org.ofono.mms.[Service|Manager] implemenentation

2014-03-19 18:10:19 -0300 Sergio Schvezov (9722350) 

	* Adapting to latest download manager api changes

2014-03-14 08:55:22 -0300 Sergio Schvezov (908a9e8) 

	* Refactored ofono logic

2014-03-14 08:55:14 -0300 Sergio Schvezov (68c42d2) 

	* Running gofmt

2014-03-10 21:10:31 -0300 Sergio Schvezov (ca683af) 

	* Changing name

2014-02-13 19:08:44 -0300 Sergio Schvezov (ba6aa50) 

	* Init

